Package: org.codehaus.groovy.classgen

## [Java] Class ClassCompletionVerifier

- org.codehaus.groovy.classgen.ClassCompletionVerifier

- **************************************************************************** Copyright (c) 2004 IBM Corporation and others. All rights reserved. The initial API is made available under the terms of the Common Public License v1.0 which is available at: http://www.eclipse.org/legal/cpl-v10.html Subsequent modifications are made available under the Apache 2.0 license. Contributors: IBM - Initial API and implementation Groovy community - subsequent modifications ****************************************************************************

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassCompletionVerifier (SourceUnit source)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ClassNode` | `getClassNode()`
    `protected SourceUnit` | `getSourceUnit()`
    `void` | `visitBinaryExpression(BinaryExpression expression)`
    `void` | `visitCatchStatement(CatchStatement cs)`
    `void` | `visitClass(ClassNode node)`
    `void` | `visitConstantExpression(ConstantExpression expression)`
    `void` | `visitConstructor(ConstructorNode node)`
    `void` | `visitDeclarationExpression(DeclarationExpression expression)`
    `void` | `visitField(FieldNode node)`
    `void` | `visitGStringExpression(GStringExpression expression)`
    `void` | `visitMethod(MethodNode node)`
    `void` | `visitMethodCallExpression(MethodCallExpression mce)`
    `void` | `visitProperty(PropertyNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `visitMethod, visitField, visitProperty, visitReturnStatement, visitConstructor, visitExpressionStatement, visitBlockStatement, visitDeclarationExpression, visitAssertStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitContinueStatement, visitIfElse, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitImports, visitAnnotations, visitClass, visitPackage, visitForLoop, visitSwitch, visitWhileLoop, visitDoWhileLoop, visitConstantExpression, visitClassExpression, visitPropertyExpression, visitListExpression, visitVariableExpression, visitTupleExpression, visitArgumentlistExpression, visitMethodCallExpression, visitClosureExpression, visitBitwiseNegationExpression, visitCastExpression, visitAttributeExpression, visitFieldExpression, visitGStringExpression, visitClosureListExpression, visitBytecodeExpression, visitStaticMethodCallExpression, visitConstructorCallExpression, visitBinaryExpression, visitTernaryExpression, visitShortTernaryExpression, visitPostfixExpression, visitPrefixExpression, visitBooleanExpression, visitNotExpression, visitArrayExpression, visitMapExpression, visitMapEntryExpression, visitRangeExpression, visitSpreadExpression, visitSpreadMapExpression, visitMethodPointerExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class CodeVisitorSupport` | `visitReturnStatement, visitConstantExpression, visitClassExpression, visitPropertyExpression, visitListExpression, visitVariableExpression, visitTupleExpression, visitArgumentlistExpression, visitMethodCallExpression, visitClosureExpression, visitExpressionStatement, visitBlockStatement, visitDeclarationExpression, visitAssertStatement, visitBreakStatement, visitCaseStatement, visitBitwiseNegationExpression, visitCastExpression, visitAttributeExpression, visitFieldExpression, visitGStringExpression, visitClosureListExpression, visitBytecodeExpression, visitCatchStatement, visitContinueStatement, visitIfElse, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitStaticMethodCallExpression, visitConstructorCallExpression, visitBinaryExpression, visitTernaryExpression, visitShortTernaryExpression, visitPostfixExpression, visitPrefixExpression, visitBooleanExpression, visitNotExpression, visitArrayExpression, visitMapExpression, visitMapEntryExpression, visitRangeExpression, visitSpreadExpression, visitSpreadMapExpression, visitMethodPointerExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitForLoop, visitSwitch, visitWhileLoop, visitDoWhileLoop, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ClassCompletionVerifier(SourceUnit source)

  - ### Method Detail

    - #### public ClassNode getClassNode()

    - #### protected SourceUnit getSourceUnit()

    - #### public void visitBinaryExpression(BinaryExpression expression)

    - #### public void visitCatchStatement(CatchStatement cs)

    - #### public void visitClass(ClassNode node)

    - #### public void visitConstantExpression(ConstantExpression expression)

    - #### public void visitConstructor(ConstructorNode node)

    - #### @Override public void visitDeclarationExpression(DeclarationExpression expression)

    - #### public void visitField(FieldNode node)

    - #### public void visitGStringExpression(GStringExpression expression)

    - #### public void visitMethod(MethodNode node)

    - #### public void visitMethodCallExpression(MethodCallExpression mce)

    - #### public void visitProperty(PropertyNode node)